Send a Voice Campaign

Send a Voice messaging campaign to multiple recipients. This is a paid service. For pricing check here

Response Parameters

KEYDESCRIPTION
callbackDefines the notification callback information for an individual message progress of the Voice campaign. Check here for more details.
callback.strategyWhen the URL will be called, on every status change (OnChange) or when a final status arrives (OnCompletion)
callback.urlThe URL that will be called when an update occurs
campaignCallbackInformation about a DLR callback for the progress of the Voice campaign.
campaignCallback.strategyWhen the URL will be called, on every status change (OnChange) or when a final status arrives (OnCompletion)
campaignCallback.urlThe URL that will be called when an update occurs
campaignNameThe name of the campaign
contactsThe contacts list
costThe cost of the campaign
createdAtThe time the campaign was created
fileURLThe url of the wav file to play
fromThe sender id
groupsThe groups
hangupDelayThe time to wait for the call to be answered
messageRepresents the text message to be converted to wav file
message.genderThe gender of the voice message. Check here for possible values
message.languageThe language of the voice message. Check here for possible values
message.textThe text of the voice message
respectQuietHoursIndicates if the Voice message should respect the quiet hours.
scheduledDateThe date the campaign was scheduled to run
stateThe status of the campaign
statusesDefines the number of voice messages per status. Check here for details.
toThe recipients' numbers.
trackingIdThe tracking id of the campaign
typeThe service type of the campaign
collectDtmfDigitsIndicates if the voice campaign should collect DTMF digits at the end of the voice message.
collectDtmfAwaitSecondsIf you enable the collectDtmfDigits you can set the duration of the pause that will be added at the end of the voice message.
voiceAnalysisContains information for a voice call after being analyzed
voiceAnalysis.contactsThe details of each contact. The key refers to the id of the contact given in the request.
voiceAnalysis.dialPlanAnalysis
voiceAnalysis.dialPlanAnalysis.placeholder
voiceAnalysis.numberOfRecipientsThe total number of recipients
voiceAnalysis.recipientCountriesFor each recipient the country that the mobile belongs to (country format in ISO 3166-1 alpha-2)
voiceAnalysis.recipientsPerCountryThe total recipients per country (country format in ISO 3166-1 alpha-2)
voiceAnalysis.recipientsPerGroupFor each group the number of recipients that it contains without the blacklisted contacts
voiceAnalysis.totalInGroupsThe total number of recipients in all given groups excluding the ones already specified and the blacklisted
errors.codeThe code of error
errors.developerMessageMessage of error
errors.propertyThe numbers of invalid recipients

ERROR CODES

StatusCodeDescription
403User is not authenticated
404User is not found
Body Params
string
required

The sender id for this call. The sender id can be a telephone number or an alphanumeric string. NOTICE: Alphanumeric sender is not supported by all networks (e.g. Greek networks). Check restrictions and features here: https://go.routee.net/#/management/restrictions-and-features

to
array of strings

The recipients of this call, must be a list with valid numbers (mobiles or landlines). Max length: 1000. One of "groups", "to", "contacts" parameters are required.

to
contacts
array of strings

The contacts of this call, must be a list with valid contact ids. Max length: 1000. One of "groups", "to", "contacts" parameters are required.

contacts
groups
array of strings

The lists of this call, must be a list with valid group names. Max length: 1000. One of "groups", "to", "contacts" parameters are required.

groups
string

The name of the voice campaign. The name of the campaign. If you want to be able to track the whole campaign from Routee web platform use a name. Must be between 2 and 30 characters and contain only latin letters, numbers, spaces and -

string

The url of the wav file to play. One of fileURL or message parameters is required.

message
object

Represents the text message to be converted to speech. One of fileURL or message parameters is required.

boolean
Defaults to false

Indicates if the call should respect the quiet hours, default value: false.

boolean

Use this option when sending transactional messages. By enabling this option, Routee will ignore any Do Not Disturb list and will send the campaign to all the recipients you have provided. This option may violate user privacy.

date

The date and time (in UTC), that the call campaign will be executed at. (eg YYYY-MM-DDThh:mm:ssTZD where TZD is the time zone designator (Z or +hh:mm or -hh:mm))

int32
Defaults to null

The time to wait for the call to be answered

campaignCallback
object

Information about a DLR callback for the progress of the Voice campaign.

callback
object

Defines the notification callback information for an individual message progress of the Voice campaign

boolean
Defaults to false

Indicates if the voice campaign should collect DTMF digits at the end of the voice message.

int32
Defaults to 10

If you enable the collectDtmfDigits you can set the duration of the pause that will be added at the end of the voice message.

Headers
string
required
Defaults to application/json

application/json

string
required
Defaults to Bearer {access_token}

Bearer {access_token}

Responses

Language
Request
Response
Choose an example:
application/json